summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorViktar Patotski <xp.vit.blr@gmail.com>2021-09-06 11:01:07 +0200
committerCraig Andrews <candrews@gentoo.org>2021-09-06 10:31:20 -0400
commit3e2183b7a0fc028fc6e11448d53dbea71513fd97 (patch)
treef9fda7a7c232f1a8e01ad0067ab9a4c9ae56ab22 /net-p2p/cpuminer-opt/cpuminer-opt-3.17.1.ebuild
parentsys-cluster/drbd-utils: Fix drbadm path in init script (diff)
downloadgentoo-3e2183b7a0fc028fc6e11448d53dbea71513fd97.tar.gz
gentoo-3e2183b7a0fc028fc6e11448d53dbea71513fd97.tar.bz2
gentoo-3e2183b7a0fc028fc6e11448d53dbea71513fd97.zip
net-p2p/cpuminer-opt: bump version 3.17.1
This bumps net-p2p/cpuminer-opt to latest version 3.17.1. Signed-off-by: Viktar Patotski <xp.vit.blr@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/22231 Signed-off-by: Craig Andrews <candrews@gentoo.org>
Diffstat (limited to 'net-p2p/cpuminer-opt/cpuminer-opt-3.17.1.ebuild')
-rw-r--r--net-p2p/cpuminer-opt/cpuminer-opt-3.17.1.ebuild49
1 files changed, 49 insertions, 0 deletions
diff --git a/net-p2p/cpuminer-opt/cpuminer-opt-3.17.1.ebuild b/net-p2p/cpuminer-opt/cpuminer-opt-3.17.1.ebuild
new file mode 100644
index 00000000000..fb5ffe94cd2
--- /dev/null
+++ b/net-p2p/cpuminer-opt/cpuminer-opt-3.17.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic systemd
+
+DESCRIPTION="Optimized multi algo CPU miner"
+HOMEPAGE="https://github.com/JayDDee/cpuminer-opt"
+IUSE="cpu_flags_x86_sse2 curl"
+LICENSE="GPL-2"
+SLOT="0"
+REQUIRED_USE="cpu_flags_x86_sse2"
+DEPEND="
+ dev-libs/gmp:0
+ dev-libs/jansson
+ >=net-misc/curl-7.15[ssl]
+ dev-libs/openssl:0=
+"
+RDEPEND="${DEPEND}"
+if [[ ${PV} == "9999" ]] ; then
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/JayDDee/${PN}.git"
+ inherit git-r3
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://github.com/JayDDee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ append-ldflags -Wl,-z,noexecstack
+ econf --with-crypto --with-curl
+}
+
+src_install() {
+ default
+ systemd_dounit "${FILESDIR}"/${PN}.service
+ insinto "/etc/${PN}"
+ doins cpuminer-conf.json
+}
+
+src_test() {
+ ./cpuminer --cputest || die
+}